## EConfigLookupResultSimple EConfigLookupResultSimple — An implementation of configuration lookup result interface |

## Functions

EConfigLookupResult * | e_config_lookup_result_simple_new ()
void | e_config_lookup_result_simple_add_value ()
void | e_config_lookup_result_simple_add_boolean ()
void | e_config_lookup_result_simple_add_int ()
void | e_config_lookup_result_simple_add_uint ()
void | e_config_lookup_result_simple_add_int64 ()
void | e_config_lookup_result_simple_add_uint64 ()
void | e_config_lookup_result_simple_add_double ()
void | e_config_lookup_result_simple_add_string ()
void | e_config_lookup_result_simple_add_enum ()

## Types and Values

struct | EConfigLookupResultSimple

## Includes

    #include <e-util/e-util.h>

## Description

EConfigLookupResultSimple is a simple implementation of the EConfigLookupResult interface.

Respective configuration changes are added with `e_config_lookup_result_simple_add_value()`, then they are saved into the ESource in `EConfigLookupResultInterface.configure_sources()` call. This does the default implementation of `EConfigLookupResultSimpleClass.configure_sources()`, which any descendants can override, if needed.

## Functions

### e_config_lookup_result_simple_new ()

    EConfigLookupResult *
    e_config_lookup_result_simple_new (EConfigLookupResultKind kind,
                                       gint priority,
                                       gboolean is_complete,
                                       const gchar *protocol,
                                       const gchar *display_name,
                                       const gchar *description,
                                       const gchar *password);

`e_config_lookup_result_simple_new` is deprecated and should not be used in newly-written code.

Creates a new EConfigLookupResultSimple instance with prefilled values.

#### Parameters

kind | a kind of the result, one of EConfigLookupResultKind |
priority | a priority of the result |
is_complete | whether the result is complete |
protocol | protocol name of the result, or `NULL`. | [nullable]
display_name | display name of the result |
description | description of the result |
password | password to store with the result. | [nullable]

#### Returns

an EConfigLookupResultSimple.

[transfer full]

Since: 3.26

### e_config_lookup_result_simple_add_value ()

    void
    e_config_lookup_result_simple_add_value
                                   (EConfigLookupResult *lookup_result,
                                    const gchar *extension_name,
                                    const gchar *property_name,
                                    const GValue *value);

`e_config_lookup_result_simple_add_value` is deprecated and should not be used in newly-written code.

Adds a value to be stored into an ESource when `e_config_lookup_result_configure_source()`. is called. The `value` is identified as a property named `property_name` in an extension named `extension_name` , or in the ESource itself, when `extension_name` is `NULL`.

In case multiple values are stored for the same extension and property, then the first is saved.

#### Parameters

lookup_result | an EConfigLookupResultSimple |
extension_name | extension name, or `NULL`, to change property of the ESource itself. | [nullable]
property_name | property name within the extension |
value | value to be set |

Since: 3.26

### e_config_lookup_result_simple_add_boolean ()

    void
    e_config_lookup_result_simple_add_boolean
                                   (EConfigLookupResult *lookup_result,
                                    const gchar *extension_name,
                                    const gchar *property_name,
                                    gboolean value);

`e_config_lookup_result_simple_add_boolean` is deprecated and should not be used in newly-written code.

Calls `e_config_lookup_result_simple_add_value()` with a GValue initialized to `value` .

#### Parameters

lookup_result | an EConfigLookupResultSimple |
extension_name | extension name, or `NULL`, to change property of the ESource itself. | [nullable]
property_name | property name within the extension |
value | value to set |

Since: 3.26

### e_config_lookup_result_simple_add_int ()

    void
    e_config_lookup_result_simple_add_int (EConfigLookupResult *lookup_result,
                                           const gchar *extension_name,
                                           const gchar *property_name,
                                           gint value);

`e_config_lookup_result_simple_add_int` is deprecated and should not be used in newly-written code.

Calls `e_config_lookup_result_simple_add_value()` with a GValue initialized to `value` .

#### Parameters

lookup_result | an EConfigLookupResultSimple |
extension_name | extension name, or `NULL`, to change property of the ESource itself. | [nullable]
property_name | property name within the extension |
value | value to set |

Since: 3.26

### e_config_lookup_result_simple_add_uint ()

    void
    e_config_lookup_result_simple_add_uint
                                   (EConfigLookupResult *lookup_result,
                                    const gchar *extension_name,
                                    const gchar *property_name,
                                    guint value);

`e_config_lookup_result_simple_add_uint` is deprecated and should not be used in newly-written code.

Calls `e_config_lookup_result_simple_add_value()` with a GValue initialized to `value` .

#### Parameters

lookup_result | an EConfigLookupResultSimple |
extension_name | extension name, or `NULL`, to change property of the ESource itself. | [nullable]
property_name | property name within the extension |
value | value to set |

Since: 3.26

### e_config_lookup_result_simple_add_int64 ()

    void
    e_config_lookup_result_simple_add_int64
                                   (EConfigLookupResult *lookup_result,
                                    const gchar *extension_name,
                                    const gchar *property_name,
                                    gint64 value);

`e_config_lookup_result_simple_add_int64` is deprecated and should not be used in newly-written code.

Calls `e_config_lookup_result_simple_add_value()` with a GValue initialized to `value` .

#### Parameters

lookup_result | an EConfigLookupResultSimple |
extension_name | extension name, or `NULL`, to change property of the ESource itself. | [nullable]
property_name | property name within the extension |
value | value to set |

Since: 3.26

### e_config_lookup_result_simple_add_uint64 ()

    void
    e_config_lookup_result_simple_add_uint64
                                   (EConfigLookupResult *lookup_result,
                                    const gchar *extension_name,
                                    const gchar *property_name,
                                    guint64 value);

`e_config_lookup_result_simple_add_uint64` is deprecated and should not be used in newly-written code.

Calls `e_config_lookup_result_simple_add_value()` with a GValue initialized to `value` .

#### Parameters

lookup_result | an EConfigLookupResultSimple |
extension_name | extension name, or `NULL`, to change property of the ESource itself. | [nullable]
property_name | property name within the extension |
value | value to set |

Since: 3.26

### e_config_lookup_result_simple_add_double ()

    void
    e_config_lookup_result_simple_add_double
                                   (EConfigLookupResult *lookup_result,
                                    const gchar *extension_name,
                                    const gchar *property_name,
                                    gdouble value);

`e_config_lookup_result_simple_add_double` is deprecated and should not be used in newly-written code.

Calls `e_config_lookup_result_simple_add_value()` with a GValue initialized to `value` .

#### Parameters

lookup_result | an EConfigLookupResultSimple |
extension_name | extension name, or `NULL`, to change property of the ESource itself. | [nullable]
property_name | property name within the extension |
value | value to set |

Since: 3.26

### e_config_lookup_result_simple_add_string ()

    void
    e_config_lookup_result_simple_add_string
                                   (EConfigLookupResult *lookup_result,
                                    const gchar *extension_name,
                                    const gchar *property_name,
                                    const gchar *value);

`e_config_lookup_result_simple_add_string` is deprecated and should not be used in newly-written code.

Calls `e_config_lookup_result_simple_add_value()` with a GValue initialized to `value` .

#### Parameters

lookup_result | an EConfigLookupResultSimple |
extension_name | extension name, or `NULL`, to change property of the ESource itself. | [nullable]
property_name | property name within the extension |
value | value to set |

Since: 3.26

### e_config_lookup_result_simple_add_enum ()

    void
    e_config_lookup_result_simple_add_enum
                                   (EConfigLookupResult *lookup_result,
                                    const gchar *extension_name,
                                    const gchar *property_name,
                                    GType enum_type,
                                    gint value);

`e_config_lookup_result_simple_add_enum` is deprecated and should not be used in newly-written code.

Calls `e_config_lookup_result_simple_add_value()` with a GValue initialized to `value` .

#### Parameters

lookup_result | an EConfigLookupResultSimple |
extension_name | extension name, or `NULL`, to change property of the ESource itself. | [nullable]
property_name | property name within the extension |
enum_type | a GType of the enum |
value | value to set |

Since: 3.26

## Types and Values

### struct EConfigLookupResultSimple

    struct EConfigLookupResultSimple {
    };

`EConfigLookupResultSimple` is deprecated and should not be used in newly-written code.

Contains only private data that should be read and manipulated using the functions below.

Since: 3.26